Hi Kjell-Arne,

The released installed is configured only with Intel Fortran compiler, it won't work with other Fortran compilers. If you want to stick with GNU compilers, you probably could try GNU f77 or g95. But anyway, the MinGW build is only experimental, there still might be runtime issues.


Regards,
Shiqing

On 2012-04-18 4:45 PM, Kjell-Arne Solli wrote:

Hi,

 

I have trouble building an OpenMPI environment on Windows 7 -64bit for use by simulation software written for Linux-environment, please help.

 

I use a single workstation with two processors (sums up to 12 cores). The HP-MPI environment is already present for some other software (installed from binaries).

 

I have installed MinGW/MSYS with GCC compiler suite, and the simulation software is compiled and runs in serial mode ok. I have also tried to compile the F77 source code of the simulation software in Windows (using Silverfrost FTN95 or Microsoft Visualstudio trial version), but there was a lot of compilation errors, despite ‘standard Fortran F77’. It is not my code – I’m only a user – so I must stick to the GNU compilers.

 

I have tried to install the Windows binary of OpenMPI 1.5.4 (64bit) which installs ok. The compilation of the simulation software failed since the compiler wrappers assumed the Intel fortran compiler and its format of options, plus ‘libraries not found’.

 

Now, OpenMPI version 1.5.5 is downloaded and unpacked to directory c:\openmpi-1.5.5\ and I run the configure script inside a MinGW-shell from directory c:\OpenMPI\ where I want to build.

 

The ‘configure’ part seems to run ok, but error is encountered in the ‘Compiler and preprocessor tests’ part,

the last lines are:

checking size of char... 1

checking size of short... 2

checking size of int... 4

checking size of long... 4

checking size of long long... 8

checking size of float... 4

checking size of double... 8

checking size of long double... 12

checking size of float _Complex... 8

checking size of double _Complex... configure: error: in `/c/openmpi':

configure: error: cannot compute sizeof (double _Complex)

See `config.log' for more details

 

The config.log file,
the last lines are:

#define SIZEOF_CHAR 1

#define SIZEOF_SHORT 2

#define SIZEOF_INT 4

#define SIZEOF_LONG 4

#define SIZEOF_LONG_LONG 8

#define SIZEOF_FLOAT 4

#define SIZEOF_DOUBLE 8

#define SIZEOF_LONG_DOUBLE 12

#define SIZEOF_FLOAT__COMPLEX 8

 

configure: exit 77

 

The configure screen output (file configure.output) and the log file (config.log) are attached in file config.output.tar.bz2.

 

Previous attempts to install OpenMPI include:

Using CMake version 2.8, OpenMPI version 1.4.4, using the GCC compilers > lots of errors

Using CMake version 2.8, OpenMPI version 1.4.4, using VisualStudio2010 (trial version) solution files > lots of errors

OpenMPI version 1.4.4, running configure script inside MinGW shell, followed by make all and make install > failed during make install step. Possibly some errors during configure which I didn’t understand.

 

kind regards

 

Kjell-Arne

 

 



_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users


-- 
---------------------------------------------------------------
Shiqing Fan
High Performance Computing Center Stuttgart (HLRS)
Tel: ++49(0)711-685-87234      Nobelstrasse 19
Fax: ++49(0)711-685-65832      70569 Stuttgart
http://www.hlrs.de/organization/people/shiqing-fan/
email: fan@hlrs.de